import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.table.*;
import javax.swing.event.*;

class secondarycoolantModeEN extends AbstractTableModel
{ private static final long serialVersionUID =8759657865L;
  Object[][] veri;
  String[] baslik={"Name","Value","Units"};
  secondarycoolant g;
  
  public secondarycoolantModelEN()
  { g=new secondarycoolant("water");
    veri=g.toString(25.0,0.0);
  }
 
  public secondarycoolantModelEN(String si,double Ti,double xi)
  {g=new secondarycoolant(si);
   veri=g.toString(Ti,xi);
  }

  public int getRowCount() {return veri.length;}
  
  public int getColumnCount() {return baslik.length;}
  
  public Object getValueAt(int satir,int sutun) {return veri[satir][sutun];}
  
  public String getColumnName(int c) {return baslik[c];}

  public void setValueAt(Object val, int row, int col)
  {  veri[row][col] = val; }
  
  public void setValues(String si,double Ti,double xi)
  {g=new secondarycoolant(si);
   veri=g.toString(Ti,xi);
  }
  
  public boolean isCellEditable(int row, int col) {return true;}
}


